from django.urls import path

from .views import home, BooksListView, BooksDetailView, AuthorListView, AuthorDetailView


urlpatterns = [
path('home/', home, name='home'),
path('books/', BooksListView.as_view(), name='books-list'),
path('books/<int:pk>/details/', BooksDetailView.as_view(), name='books-detail'),
path('authors/', AuthorListView.as_view(), name='authors-list'),
path('authors/<int:pk>/details/', AuthorDetailView.as_view(), name='author-detail')
]

app_name = "bookshelf"